메인 콘텐츠로 건너뛰기
GET
/
2
/
tweets
/
search
/
stream
/
rules
스트림 규칙 가져오기
curl --request GET \
  --url https://api.x.com/2/tweets/search/stream/rules \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "sent": "<string>",
    "next_token": "<string>",
    "result_count": 123,
    "summary": {
      "created": 1,
      "invalid": 1,
      "not_created": 1,
      "valid": 1
    }
  },
  "data": [
    {
      "value": "coffee -is:retweet",
      "id": "120897978112909812",
      "tag": "Non-retweeted coffee Posts"
    }
  ]
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

쿼리 매개변수

ids
string[]

쉼표로 구분된 규칙 ID 목록입니다.

이 규칙의 고유 식별자입니다.

Pattern: ^[0-9]{1,19}$
max_results
integer<int32>
기본값:1000

최대 결과 개수입니다.

필수 범위: 1 <= x <= 1000
pagination_token
string

결과를 페이지네이션하기 위해, 이전 요청에서 반환된 next_token 값을 다시 전달하면 이 값이 채워집니다.

Required string length: 16

응답

요청이 성공했습니다.

meta
object
필수
data
object[]